### Method

# Gdk Toplevel set_icon_list

#### Declaration [src]

    void
    gdk_toplevel_set_icon_list (
      GdkToplevel* toplevel,
      GList* surfaces
    )

#### Description [src]

Sets a list of icons for the surface.

One of these will be used to represent the surface in iconic form. The icon may be shown in window lists or task bars. Which icon size is shown depends on the window manager. The window manager can scale the icon but setting several size icons can give better image quality.

Note that some platforms don’t support surface icons.

Sets property | `Gdk.Toplevel:icon-list`

#### Parameters

`surfaces` | A list of `GdkTexture`
| A list of textures to use as icon, of different sizes.
| The data is owned by the caller of the function.